with Ada.Streams.Stream_Io;
use  Ada;
use  Streams;
package body Double_Tagged_Type.Secondary_Storage is

   type The_File_Type is new Ada.Streams.Stream_Io.File_Type; 
   Reference : Stream_IO.Stream_Access;

   -------------
   -- Advance --
   -------------

   procedure Advance (To_Next_Item : in out File_Type) is
   begin
      null;
   end Advance;

   -----------------
   -- Get_Current --
   -----------------

   function Get_Current (From : in File_Type) return T1'Class is
      Result : T1;
   begin
      return Result;
   end Get_Current;

   -----------
   -- Store --
   -----------

   procedure Store (Into : File_Type; The_Data : in T1'Class) is
      Reference : Stream_IO.Stream_Access;
   begin
      null;
      T1'Class'Output
              (Reference, The_Data);




   end Store;


   procedure Open  (The_File : in out File_Type; External : String) is
   begin
      Stream_Io.Create(File => Stream_IO.File_Type(The_File.all),
                         Name => External);
      Reference := Stream_Io.Stream(Ada.Streams.Stream_IO.File_Type(The_File.all));
   end Open;

   procedure Create  (The_File : in out File_Type; External : String) is
      Reference : Stream_Io.Stream_Access;
   begin
      Stream_Io.Create(File => Ada.Streams.Stream_IO.File_Type(The_File.all),
                       Name => External);
       Reference := Stream_Io.Stream(Ada.Streams.Stream_IO.File_Type(The_File.all));
   end Create;



   procedure Close (The_File : in out File_Type) is
   begin
      Stream_Io.Close(Stream_IO.File_Type(The_File.all));
   end Close;


end Double_Tagged_Type.Secondary_Storage;

