-- ====================================================================================
-- Ada Distilled 
--
-- ====================================================================================
with Ada.Text_IO;
use  Ada;
package body Machinery is

   -----------
   -- Is_On --
   -----------

   function Is_On (M : Machine) return Boolean is
   begin
      return M.Is_On;
   end Is_On;

   --------------
   -- Turn_Off --
   --------------

   procedure Turn_Off (M : in out Machine) is
   begin
      M.Is_On := False;
      Text_IO.Put_Line("Called Machinery.Turn_Off ");
   end Turn_Off;

   -------------
   -- Turn_On --
   -------------

   procedure Turn_On (M : in out Machine) is
   begin
      M.Is_On := True;
      Text_IO.Put_Line("Called Machinery.Turn_On ");
   end Turn_On;

end Machinery;

