procedure Ada_Comb_Example_2 is	  --  1 Name of procedure
   Data :  Float := 0.0;	        --  2 Floating point declaration in scope
begin		                          --  3 
   Integer_Block:	                    --  4 A label for the declare block
   declare	                          --  5 Can declare local variables in this block
     Data : Integer := 42;            --  6 The name, Data, hides the global declarations
   begin                              --  7 Integer Data now is visible; Float Data is not directly visible
     Data := Data + 1;	              --  8 Simple incrementing statement
   exception	                    --  9 Localized exception handling region
     when Constraint_Error => null;   -- 10 Statements to handle the exception
   end Integer_Block;	              -- 11 Named end of scope for declare block
   Data := Data + 451.0;	        -- 12 Float data is once more visible
end Ada_Comb_Example_2;	              -- 13 End of scope of procedure 