-- ====================================================================================
-- Ada Distilled 
--
-- =====================================================================================
with Ada.Text_Io;	                               --  1 Put Ada.Text_IO library unit in scope; 	10.1.2, A.10
procedure  Bon_Jour  is	                         --  2 Parameterless declaration; 	6.3
   Hello : String (1..5) := "Salut";             --  3 Number of characters must match range; 	4.1, A.1/37
   Howdy : String := "Howdy Joe";                --  4 Compiler determines constraint from string; 	2.6, 3.3.1/13
      Bon_Jour : constant String := "Bon Jour";  --  5 A true constant;  cannot be altered; 	3.3.1/5-6
begin				                         --  6 Begins sequence of algorithmic statements; 	6.3
   Ada.Text_Io.Put(Hello);                       --  7 Put a string with no carriage return; 	A.10.6
   Ada.Text_Io.Set_Col(20);                      --  8 On same line, position cursor at column 20; 	A.10.5
   Ada.Text_Io.Put_Line(Hello);                  --  9 Put a string with a carriage return / line feed; 	A.10.7
   Ada.Text_Io.Put(Howdy);                       -- 10 Puta string with no carriage return; 	A.10.7
   Ada.Text_Io.Set_Col (20);                     -- 11 Set the cursor to column 20 / line feed; 	A.10.5
   Ada.Text_Io.Put(Howdy);                       -- 12 Put a string with no carriage return / line feed; 	A.10.7
   Ada.Text_Io.New_Line(2);                      -- 13 Position cursor to a new line;  double space; 	A.10.5
   Ada.Text_Io.Put_Line(Bon_Jour);               -- 14 Put a constant to the screen with CR/LF; 	A.10.7
   Howdy(7..9) := Bon_Jour(1..3);                -- 15 Slide (assign) one string slice into another; 	4.1.2
   Ada.Text_IO.Put_Line (Howdy);                 -- 16 Put the modified string with CR/LF; 	A.10.7
end Bon_Jour;		                         -- 17 Note the label for the enclosing procedure; 	6.3