-- ==========================================================================================
-- Ada Distilled              by Richard Riehle, AdaWorks Software Engineering
--                                               For your Ada training and consulting needs
-- .ads
--
-- See      in Ada Distilled for discussion of this program.
--
-- 
--
-- Line numbers correspond to those in Ada Distilled.
-- 
-- =========================================================================================
-- 
with Statistics;		                             --  1  Put Statistics library unit in scope 
with Ada.Float_Text_Io;	                             --  2  Library unit for floating point I/O 
use  Ada;			                             --  3  Makes Ada visible; discussed later
procedure Compute_Statistics is	                 --  4  A stand-alone procedure
   Stat_Data : Statistics.Data(1..100);              --  5  An array of float; note the constraint
begin				                             --  6  Starts the algorithmic part of procedure
   for Index in Stat_Data'range                      --  7  Specification of a for loop; more later
         loop		                             --  8  Every loop must have the word loop
      Float_Text_Io.Get(Stat_Data(Index));           --  9  Fill the array with data
   end loop;	                                   -- 10 Every loop must have an end loop
   Float_Text_Io.Put(Statistics.Mean(Stat_Data));    -- 11 Call Statistics.Mean and output result
   Float_Text_Io.Put(Statistics.Stddev(Stat_Data));  -- 12 Call Statistics.StdDev and output result
end Compute_Statistics;	                             -- 13 End of the procedure scope