with Ada.Text_IO;
with Ada.Numerics;
use  Ada;
package body Generic_Utilities is

   procedure Display_Attributes (Float_Name : in String;
                                 Data       : in Float_Type) is
   begin
     null;
   end Display_Attributes;
                                 

               
   procedure Swap (Left, Right : in out Item) is
      Temp : Item := Left;
   begin
      Left := Right;
      Right := Temp;
   end Swap;


   procedure Bubble_Sort(In_Data : in Data_Set; Out_Data : out Data_Set) is
   -- procedure Bubble_Sort(The_Data : in out Data_Set);
   begin
      null;
   end Bubble_Sort;

   function Next(The_Data : in Item) return Item is
   begin
      if The_Data = Item'Last then
         return Item'First;
      else 
         return Item'Succ(The_Data);
      end if;
   end Next;

   function Prev(The_Data : in Item) return Item is
   begin
      if The_Data = Item'First then
         return Item'Last;
      else
         return Item'Pred(The_Data);
      end if;
    end Prev;
    
    procedure Display_2D_Array_On_Console(The_Array : in TwoD_Array_Type) is
    begin
       for I in The_Array'Range(1)
           loop
               for J in The_Array'Range(2)
                   loop
                      Text_IO.Put(Item'Image(The_Array(I, J)) & " ");
                   end loop;
               Text_IO.New_Line;
           end loop;
    end Display_2D_Array_On_Console;

--   procedure Modify_By_Method(The_Data : in out Data_Set) is
--   begin
--      for I in The_Data'Range
--          loop
--              Method(The_Data(I));
--              Text_IO.Put_Line
--                     ("Modify Iteration = " & Index'Image(Index'Succ(I)));
--          end loop;
--   end Modify_By_Method;

   procedure Modify_By_Method (The_Data : in out Data_Set) is
     I : Index := The_Data'First;
     test : Index;
     Left, Right : Item;
     GTR : Boolean := False;
   begin
     Text_IO.Put_Line("Start The LOOP");
   while I /= The_Data'Last
       loop
          Left := The_Data(I);
          Test := Index'Succ(I);
          Right := The_Data(Test);
          if GTR then
             Text_IO.Put_Line("Was GTR ");
          else 
             Text_IO.Put_Line("Was not GTR");
          end if;
          I := Index'Succ(I);
       end loop;
   end Modify_By_Method;   


   function To_Degrees(R : in Radian) return Degree is
     Result : Degree := Degree(180.0 * R) / Numerics.Pi;
   begin
     return Result;
   end To_Degrees;
   
   function To_Radians(D : in Degree) return Radian is
     Work_1 : Long_Float := (Numerics.Pi * Long_Float(D)) / 180.0;
     Result : Radian := Radian(Work_1);
   begin
     return Result;
   end To_Radians;



end Generic_Utilities;
