package Generic_Utilities is

   generic
      type Float_Type is digits <>;
   procedure Display_Attributes (Float_Name : in String;
      Data       : in Float_Type);

   generic
      type Item is private;         -- Any type with := and =                        
   procedure Swap (Left, Right : in out Item);


   generic
      type Item is private;       -- Any type with := and =
      type Index is (<>);         -- An enumerated type or Integer
      type Data_Set is array(Index range <>) of Item;   -- An unconstrained array
      with function ">" (Left, Right : Item) return Boolean;  -- A function for type Item
      -- any other functions required?
   procedure Bubble_Sort(In_Data : in Data_Set; Out_Data : out Data_Set);
   -- procedure Bubble_Sort(The_Data : in out Data_Set);

   generic
      type Item is (<>);   -- An enumerated type or Integer
   function Next(The_Data : in Item) return Item;

   generic
      type Item is (<>);   -- An enumerated type or Integer
   function Prev(The_Data : in Item) return Item;
   
   generic
     type Item is (<>);
     type Index_1 is (<>);
     type Index_2 is (<>);
     type TwoD_Array_Type is array (Index_1 range <>, 
                                    Index_2 range <>) of Item;
   procedure Display_2D_Array_On_Console(The_Array : in TwoD_Array_Type);


   generic
      type Item is private;                             -- Any type with := and =
      type Index is (<>);                               -- An enumerated type or Integer
      type Data_Set is array(Index range <>) of Item;   -- An unconstrained array
      with procedure Method (Data : in out Item);       -- A method on type Item
   procedure Modify_By_Method(The_Data : in out Data_Set);
   
   generic
      type Degree is digits <>;
      type Radian is digits <>;
   function To_Degrees(R : in Radian) return Degree; 
   
   generic
      type Degree is digits <>;
      type Radian is digits <>;
   function To_Radians(D : in Degree) return Radian; 


end Generic_Utilities;