-- ==========================================================================================
-- Jo_Regelt.adb
--
--  
--   
--
--
--
-- ==========================================================================================
--
with Text_Io;	                                              --   1 Put a library unit in scope
procedure Jo_Regelt is	                                        --   2 "Good morning" in Hungarian
   The_File : Text_Io.File_Type;	                            --   3 Declare internal file handle
   As_Input :  constant Text_Io.File_Mode := Text_Io.In_File;   --   4 Is it input or output
   External_Name : String := "C:\Data\My.Txt";                  --   5 Declare the external file name
   The_Data : String (1..80);	                                  --   6 A simple string variable;	
   Line_Length : Natural;	                                  --   7 For the input line parameter
begin			                                              --   8 Required to initiate a sequence of statements
   Text_Io.Open(The_File, As_Input, External_Name);             --   9 See Text_IO for  the types of the parameters
   Input_Routine:	                                              --  10 You may name any kind of loop, and should!
      while not Text_Io.End_Of_File(The_File)                   --  11 Read The_File until finding the EOF mark
         loop	                                              --  12 Reserved word loop is required
      Text_Io.Get_Line(The_File, The_Data, Line_Length);        --  13 Get a delimited string  from the file
      Text_Io.Put_Line(The_Data(1..Line_Length));               --  14 Echo the string with carriage / return line feed
   end loop Input_Routine;                                      --  15 end loop name is required if the loop is named
end Jo_Regelt;	                                              --  16 Note the label for the enclosing procedure  